/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef MvQIconObjectModel_H
#define MvQIconObjectModel_H

#include <QAbstractItemModel>
#include <QString>

using namespace std;

class MvQIconObjectModel : public QAbstractItemModel
{
public:
    MvQIconObjectModel(QObject* parent = 0);

    int columnCount(const QModelIndex&) const;
    int rowCount(const QModelIndex& parent = QModelIndex()) const;
    QVariant data(const QModelIndex&, int role = Qt::DisplayRole) const;
    QModelIndex index(int, int, const QModelIndex& parent = QModelIndex()) const;
    QModelIndex parent(const QModelIndex&) const;
    QVariant headerData(const int section, const Qt::Orientation orient, const int role) const;
    void update();
};


#endif
